{
  lib,
  stdenv,
  fetchFromGitHub,
  cmake,
}:

stdenv.mkDerivation rec {
  pname = "scenario";
  version = "unstable-2024-10-08";

  src = fetchFromGitHub {
    owner = "movefasta";
    repo = "scenario";
    rev = "6bf8f7227778a55aef335599e8d127c061af5bf6";
    hash = "sha256-QWBVIr4WaPHLzoRNm8p781k3obvywP+s0YbqP1+Tzd0=";
  };

  nativeBuildInputs = [
    cmake
  ];

  meta = {
    description = "";
    homepage = "https://github.com/movefasta/scenario";
    license = lib.licenses.unfree; # FIXME: nix-init did not find a license
    maintainers = with lib.maintainers; [ ];
    mainProgram = "scenario";
    platforms = lib.platforms.all;
  };
}
